package com.yunzhi.training.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * Banner表
 * </p>
 *
 * @author yansen
 * @since 2022-02-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaBanner对象", description="Banner表")
public class TaBanner implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "BannerID")
    @TableId(value = "banner_id", type = IdType.UUID)
    private String bannerId;

    @ApiModelProperty(value = "课程ID")
    private String courseId;

    @ApiModelProperty(value = "名称")
    private String title;

    @ApiModelProperty(value = "图片")
    private String thumb;

    @ApiModelProperty(value = "位置")
    private String position;

    @ApiModelProperty(value = "排序")
    private Integer sortNo;

    @ApiModelProperty(value = "状态")
    private Integer state;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;


}
