package com.yunzhi.training.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 签到主表
 * </p>
 *
 * @author yansen
 * @since 2022-02-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaSignIn对象", description="签到主表")
public class TaSignIn implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "签到ID")
    @TableId(value = "sign_id", type = IdType.UUID)
    private String signId;

    @ApiModelProperty(value = "签到名称")
    private String name;

    @ApiModelProperty(value = "计划人数")
    private Integer studentNum;

    @ApiModelProperty(value = "参与人数")
    private Integer joinedNum;

    @ApiModelProperty(value = "开始时间")
    private LocalDateTime startTime;

    @ApiModelProperty(value = "结束时间")
    private LocalDateTime endTime;

    @ApiModelProperty(value = "状态")
    private Integer state;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;


}
